Loading...
Searching...
No Matches
net::LinkStateChangedEvent Struct Reference

Event that is send when the operational state of an interface changed. More...

Inheritance diagram for net::LinkStateChangedEvent:

## Public Attributes

string | ifName
| interface name
string | ifLabel
| interface label
InterfaceType | ifType
| interface type
InterfaceOpState | ifState
| Current operational interface state.
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event that is send when the operational state of an interface changed.

The documentation for this struct was generated from the following file:

- Net.idl